## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

# The GitLab archive contains the changelog file, test data, and other things
# that the PyPI sdist lacks.
%global forgeurl https://gitlab.com/obob/pymatreader
%global tag v%{version}
%forgemeta

Name:           python-pymatreader
Version:        1.0.0
Release:        %autorelease
Summary:        Convenient reader for Matlab mat files

License:        BSD-2-Clause
URL:            %{forgeurl}
Source:         %{forgesource}

# We want to test on all architectures, since there is a history of
# architecture-dependent test failures, but the package itself contains no
# compiled code, and the binary RPMs are noarch.
%global debug_package   %{nil}
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}
# https://bugzilla.redhat.com/show_bug.cgi?id=2116690
ExcludeArch:    s390x

BuildRequires:  python3-devel
BuildRequires:  tomcli

%if %{with tests}
# See the [tool.pixi.dependencies] section in pyproject.toml, but note that it
# also contains unwanted documentation, coverage, and linting dependencies.
BuildRequires:  %{py3_dist pytest}
%endif

%global desc %{expand:
A Python module to read Matlab files. This module works with both the old
(< 7.3) and the new (>= 7.3) HDF5 based format. The output should be the same
for both kinds of files.

Documentation can be found here: http://pymatreader.readthedocs.io/en/latest/}

%description %{desc}


%package -n python3-pymatreader
Summary:        %{summary}
BuildArch:      noarch

%description -n python3-pymatreader %{desc}


%prep
%forgesetup

# We don’t want to package python-hatch-regex-commit for versioning. It is
# tedious to manipulate downstream and it does not appear widely used. It is
# easy enough to patch pyproject.toml to use the popular hatch-vcs plugin as a
# version source instead.
tomcli set pyproject.toml lists replace build-system.requires \
    hatch-regex-commit hatch-vcs
tomcli set pyproject.toml str tool.hatch.version.source vcs
tomcli set pyproject.toml del tool.hatch.version.tag_sign


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pymatreader


%check
%pyproject_check_import
%if %{with tests}
%pytest -v
%endif


%files -n python3-pymatreader -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Update to 1.0.0 (close RHBZ#2302489)

* Sat Oct 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.32-16
- Correct the License to SPDX BSD-2-Clause

* Sat Oct 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.32-14
- Stop skipping a test that no longer fails

* Sat Oct 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.32-12
- Package CHANGELOG.md as documentation

* Sat Oct 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.32-11
- Make the python3-pymatreader RPM noarch

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 0.0.32-8
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.32-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.0.32-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.32-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.32-3
- Assert that a license file is present in the .dist-info directory

* Fri Aug 11 2023 Packit <hello@packit.dev> - 0.0.32-1
- [packit] 0.0.32 upstream release

* Fri Aug 11 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.0.30-8
- chore: add packit

* Sat Jul 22 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.0.30-7
- chore: modernise spec

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.30-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Python Maint <python-maint@redhat.com> - 0.0.30-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.30-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 09 2022 Alessio <alciregi@fedoraproject.org> - 0.0.30-2
- Exclude s390x arch due to failing tests

* Sun Aug 07 2022 Alessio <alciregi@fedoraproject.org> - 0.0.30-1
- Update to 0.0.30
 
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.24-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.24-8
- Fix extra newline in description
- Drop unnecessary python_enable_dependency_generator macro

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.0.24-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.24-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.24-4
- Fix build

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.0.24-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.24-1
- Update to latest release

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.23-2
- Explicitly BR setuptools

* Sun Jun 21 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.23-1
- Update to 0.0.23

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.0.21-2
- Rebuilt for Python 3.9

* Sat Feb 01 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.21-1
- Update to latest release

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.19-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.19-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 08 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.19-1
- Update to latest upstream release 0.0.19

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 20 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.17-1
- Initial build

## END: Generated by rpmautospec
